Ubuntu 18.04 LTSをupgradeしてみます

18.04 LTSをインストール後に apt upgrade を実行してみます。
仮想マシン上の Ubuntu でローカルのディスプレイは調子がイマイチなので、リモート接続で upgrade を実行します。

ssh をインストール

リモートから terminal 接続するために、sshをインストールします。

$ sudo apt-get install ssh

sshのインストールが正常完了するとリモートから terminal 接続ができるようになります。

$ ssh account@IPアドレス

apt upgradeを実行

リモート接続ができたら、apt コマンドで upgrade を実行します。

$ sudo apt upgrade

実行例

spdsk@ubuntu1804lts-102:~$ sudo apt update
[sudo] spdsk のパスワード: 
ヒット:1 http://jp.archive.ubuntu.com/ubuntu bionic InRelease
取得:2 http://jp.archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]                      
ヒット:3 http://archive.ubuntulinux.jp/ubuntu bionic InRelease                                     
ヒット:4 http://archive.ubuntulinux.jp/ubuntu-ja-non-free bionic InRelease                         
取得:5 http://jp.archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]                    
ヒット:6 http://security.ubuntu.com/ubuntu bionic-security InRelease                               
163 kB を 2秒 で取得しました (104 kB/s)                                                        
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています       
状態情報を読み取っています... 完了
アップグレードできるパッケージが 274 個あります。表示するには 'apt list --upgradable' を実行してください。
spdsk@ubuntu1804lts-102:~$ sudo apt upgrade
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています                
状態情報を読み取っています... 完了
アップグレードパッケージを検出しています... 完了
以下のパッケージが新たにインストールされます:
  bubblewrap libbrotli1 libwoff1 linux-headers-4.15.0-39 linux-headers-4.15.0-39-generic
  linux-image-4.15.0-39-generic linux-modules-4.15.0-39-generic
  linux-modules-extra-4.15.0-39-generic
以下のパッケージはアップグレードされます:
  apport apport-gtk appstream apt apt-config-icons apt-utils apturl apturl-common avahi-autoipd
  avahi-daemon avahi-utils base-files bind9-host binutils binutils-common
  binutils-x86-64-linux-gnu bolt brltty bsdutils console-setup console-setup-linux cpp cpp-7
  desktop-file-utils dnsutils dpkg evince evince-common evolution-data-server
  evolution-data-server-common fdisk firefox-locale-en firefox-locale-ja fonts-liberation
  fonts-liberation2 fonts-noto-color-emoji fonts-opensymbol friendly-recovery gcc-7-base
  gcc-8-base gdm3 gettext gettext-base ghostscript ghostscript-x gir1.2-gdm-1.0
  gir1.2-gnomedesktop-3.0 gir1.2-javascriptcoregtk-4.0 gir1.2-mutter-2 gir1.2-nm-1.0
  gir1.2-packagekitglib-1.0 gir1.2-pango-1.0 gir1.2-snapd-1 gir1.2-totem-1.0 gir1.2-udisks-2.0
  gir1.2-webkit2-4.0 gnome-control-center gnome-control-center-data gnome-control-center-faces
  gnome-desktop3-data gnome-initial-setup gnome-mines gnome-settings-daemon
  gnome-settings-daemon-schemas gnome-shell gnome-shell-common gnome-shell-extension-ubuntu-dock
  gnome-software gnome-software-common gnome-software-plugin-snap grub-common grub-pc grub-pc-bin
  grub2-common gstreamer1.0-packagekit imagemagick imagemagick-6-common imagemagick-6.q16
  initramfs-tools initramfs-tools-bin initramfs-tools-core intel-microcode keyboard-configuration
  kmod libapparmor1 libappstream4 libapt-inst2.0 libapt-pkg5.0 libavahi-client3
  libavahi-common-data libavahi-common3 libavahi-core7 libavahi-glib1 libavahi-ui-gtk3-0
  libbind9-160 libbinutils libblkid1 libbrlapi0.6 libcamel-1.2-61 libcc1-0 libcryptsetup12
  libcurl3-gnutls libdns-export1100 libdns1100 libdpkg-perl libebackend-1.2-10 libebook-1.2-19
  libebook-contacts-1.2-2 libecal-1.2-19 libedata-book-1.2-25 libedata-cal-1.2-28
  libedataserver-1.2-23 libedataserverui-1.2-2 libegl1 libevdocument3-4 libevview3-3 libfdisk1
  libgcc1 libgd3 libgdm1 libgl1 libgles2 libglib2.0-0 libglib2.0-bin libglib2.0-data libglvnd0
  libglx0 libgnome-desktop-3-17 libgomp1 libgpgme11 libgpgmepp6 libgs9 libgs9-common libirs160
  libisc-export169 libisc169 libisccc160 libisccfg160 libjavascriptcoregtk-4.0-18 libkmod2
  libkpathsea6 liblcms2-2 liblcms2-utils libldap-2.4-2 libldap-common liblouis-data liblouis14
  liblwres160 libmagickcore-6.q16-3 libmagickcore-6.q16-3-extra libmagickwand-6.q16-3 libmount1
  libmozjs-52-0 libmutter-2-0 libnautilus-extension1a libnm0 libnss-myhostname libnss-systemd
  libpackagekit-glib2-18 libpam-systemd libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0
  libpangoxft-1.0-0 libparted-fs-resize0 libparted2 libplymouth4 libpoppler-glib8 libpoppler73
  libpython2.7 libpython2.7-minimal libpython2.7-stdlib libpython3-stdlib libpython3.6
  libpython3.6-minimal libpython3.6-stdlib libsmartcols1 libsmbclient libsnapd-glib1 libsnmp-base
  libsnmp30 libssh-4 libstdc++6 libsysmetrics1 libsystemd0 libtotem0 libudev1 libudisks2-0
  libuuid1 libwbclient0 libwebkit2gtk-4.0-37 libx11-6 libx11-data libx11-xcb1 libxkbcommon-x11-0
  libxkbcommon0 light-themes linux-firmware linux-generic linux-headers-generic
  linux-image-generic man-db mount mutter mutter-common nautilus nautilus-data network-manager
  network-manager-config-connectivity-ubuntu networkd-dispatcher packagekit packagekit-tools
  parted plymouth plymouth-label plymouth-theme-ubuntu-logo plymouth-theme-ubuntu-text
  poppler-utils ppp python-apt-common python3 python3-apport python3-apt python3-brlapi
  python3-distupgrade python3-gdbm python3-louis python3-minimal python3-problem-report
  python3-requests python3-software-properties python3-update-manager python3.6 python3.6-minimal
  rfkill samba-libs secureboot-db software-properties-common software-properties-gtk systemd
  systemd-sysv totem totem-common totem-plugins tzdata ubuntu-artwork ubuntu-drivers-common
  ubuntu-keyring ubuntu-mono ubuntu-release-upgrader-core ubuntu-release-upgrader-gtk
  ubuntu-report ubuntu-settings ubuntu-software ubuntu-web-launchers udev udisks2
  unattended-upgrades uno-libs3 update-manager update-manager-core update-notifier
  update-notifier-common ure util-linux uuid-runtime wpasupplicant xbrlapi xdg-utils
  xserver-common xserver-xephyr xserver-xorg-core xserver-xorg-legacy xwayland
アップグレード: 274 個、新規インストール: 8 個、削除: 0 個、保留: 0 個。
257 MB 中 83.4 MB のアーカイブを取得する必要があります。
この操作後に追加で 340 MB のディスク容量が消費されます。
続行しますか? [Y/n] y

**** 長いので途中略 ****

途中でキーボード選択があります。キーボードを選択して[了解]を選択して進めます。
ubuntu1804LTS Upgrade

imagemagick (8:6.9.7.4+dfsg-16ubuntu6.4) を設定しています ...
avahi-utils (0.7-3.1ubuntu1.1) を設定しています ...
gir1.2-totem-1.0:amd64 (3.26.0-0ubuntu6.1) を設定しています ...
totem (3.26.0-0ubuntu6.1) を設定しています ...
libedataserverui-1.2-2:amd64 (3.28.5-0ubuntu0.18.04.1) を設定しています ...
totem-plugins (3.26.0-0ubuntu6.1) を設定しています ...
plymouth-theme-ubuntu-logo (0.9.3-1ubuntu7.18.04.1) を設定しています ...
update-initramfs: deferring update (trigger activated)
ubuntu-software (3.28.1-0ubuntu4.18.04.4) を設定しています ...
mutter (3.28.3-2~ubuntu18.04.2) を設定しています ...
gir1.2-webkit2-4.0:amd64 (2.22.4-0ubuntu0.18.04.1) を設定しています ...
gnome-software-plugin-snap (3.28.1-0ubuntu4.18.04.4) を設定しています ...
gnome-shell (3.28.3-0ubuntu0.18.04.3) を設定しています ...
gnome-control-center (1:3.28.2-0ubuntu0.18.04.2) を設定しています ...
gdm3 (3.28.3-0ubuntu18.04.3) を設定しています ...
python3-distupgrade (1:18.04.29) を設定しています ...
python3-update-manager (1:18.04.11.7) を設定しています ...
ubuntu-release-upgrader-core (1:18.04.29) を設定しています ...
apturl-common (0.5.2ubuntu14.2) を設定しています ...
ubuntu-release-upgrader-gtk (1:18.04.29) を設定しています ...
update-manager-core (1:18.04.11.7) を設定しています ...
update-notifier-common (3.192.1.4) を設定しています ...
apturl (0.5.2ubuntu14.2) を設定しています ...
update-notifier (3.192.1.4) を設定しています ...
update-manager (1:18.04.11.7) を設定しています ...
libc-bin (2.27-3ubuntu1) のトリガを処理しています ...
linux-image-4.15.0-39-generic (4.15.0-39.42) のトリガを処理しています ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.15.0-39-generic
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
Linux イメージを見つけました: /boot/vmlinuz-4.15.0-39-generic
Found initrd image: /boot/initrd.img-4.15.0-39-generic
Linux イメージを見つけました: /boot/vmlinuz-4.15.0-32-generic
Found initrd image: /boot/initrd.img-4.15.0-32-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
完了
initramfs-tools (0.130ubuntu3.5) のトリガを処理しています ...
update-initramfs: Generating /boot/initrd.img-4.15.0-39-generic
spdsk@ubuntu1804lts-102:~$ 
スポンサーリンク
spdsk-side
spdsk-side